******************************************************************************
*                    SYMPHONY VRP Application                                * 
******************************************************************************

The SYMPHONY VRP application is a solver for the standard Capacitated Vehicle
Routing Problem. It can also solve Traveling Salesman Problem instances and
can be configured to utilize cutting plane routines from the CONCORDE TSP
solver, available from http://www.math.princeton.edu/tsp/concorde.html. This
solver uses many of the bells and whistles of SYMPHONY and is probably not the
best option for beginners trying to learn the ropes. Please download one of
the other applications, such as MATCH, for a more gentle introduction.

******************************************************************************
*                              INSTALLATION                                  *
******************************************************************************

Please see the INSTALL file for a guide to compiling the SYMPHONY VRP application.

*******************************************************************************
*                      USING THE SOLVER                                       *
*******************************************************************************

This file briefly introduces the use of the SYMPHONY VRP solver. To use the
VRP solver, type the executable name followed by one or more of the
command-line switches. There are two required switches. You must specify the
location of the data file by using "-F 'filename'" (type this after executable
name) and you must specify the desired number of routes using "-N 'n'", where
'n' is the desired number of routes.  Below is a list of other parameters that
can be set on the command line. This list can also be obtained by typing the
executable name followed by "-H".  Notice that all application-specific
parameters are denoted by a capital letter.

	-H: help,
	-E: use sparse edge set,
	-R: solve as a Traveling Salesman Problem,
	-S file: load sparse graph from 'file',
	-F file: problem data is in 'file',
	-B i: which candidates to check in strong branching,
	-V i: how to construct the base set of variables,
	-K k: use 'k' closest edges to build sparse graph,
	-N n: use 'n' routes,
	-C c: use capacity 'c');

There are a number of other (for now) undocumented parameters that can be used
to fine-tune the performance of the solver. These must be set in a parameter
file. The SYMPHONY User's Manual explains the use of the parameter file.

Some of SYMPHONY's native parameters can also be set on the command
line. Below is a list of these parameters. This list can also be obtained by
typing the executable name with no command-line arguments. Note that all
SYMPHONY parameters are denoted by a lowercase letter. Note that there are
dozens of other parameters that can be set with the use of a parameter
file. These parameters are listed in the SYMPHONY User's Manual.

        -h: help
        -a: no cut timeout
        -d: enable graph drawing
        -g: use cut generator
        -r: do repricing in root
        -t: trim the tree
        -b: don't perform branch and cut
        -u ub: use upper bound 'ub'
        -p procs: allow 'procs' active nodes
        -n i: use node selection rule 'i'
        -v i: set verbosity to level 'i'
        -s cands: use 'cands' candidates for strong branching
        -c i: use rule 'i' to compare candidates
        -k i: use rule 'i' to select child
        -m n: allow a max of 'n' cuts to enter per iteration
        -l n: allow a max of 'n' cut pools
        -i n: allow a max of 'n' iterations in presolve
        -f file: read parameters from parameter file 'file'

AUTHORS

The SYMPHONY VRP application was developed by Ted Ralphs
(ted@lehigh.edu).

BUG REPORTS

Please submit bug reports at https://projects.coin-or.org/SYMPHONY
